package com.persagy.dmp.report.controller;

import com.persagy.common.web.MapResponse;
import com.persagy.common.web.PagedResponse;
import com.persagy.dmp.report.common.criteria.JacksonCriteria;
import com.persagy.dmp.report.entity.ReportConfigGroup;
import com.persagy.dmp.report.service.ReportConfigGroupService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/report/config/group")
public class ReportConfigGroupController {

    @Autowired
    private ReportConfigGroupService service;

    @PostMapping("/query")
    public PagedResponse<ReportConfigGroup> query(@RequestBody JacksonCriteria criteria) {
        return service.query(criteria);
    }

    @PostMapping("/create")
    public MapResponse create(@RequestBody ReportConfigGroup param) {
        return service.create(param);
    }

    @PostMapping("/update")
    public MapResponse update(@RequestBody ReportConfigGroup param) {
        return service.update(param);
    }

    @PostMapping("/delete")
    public MapResponse delete(@RequestBody ReportConfigGroup param) {
        return service.delete(param);
    }
}
