package com.persagy.dmp.report.feign;

import com.persagy.common.criteria.JacksonCriteria;
import com.persagy.common.web.MapResponse;
import com.persagy.common.web.PagedResponse;
import com.persagy.dmp.report.model.TaskCfgModel;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * @author: fengyanjie
 * @date: 2020-11-25
 * @verison: 1.0
 */
@FeignClient(name = "dmp-task")
public interface TaskClient {

    @PostMapping("/task/record/receive")
    MapResponse sendTaskToRmq(@RequestParam(name = "groupCode") String groupCode,
                              @RequestParam(name = "schemaId") String schemaId,
                              @RequestParam(name = "projectId") String projectId,
                              @RequestParam(name = "appId") String appId,
                              @RequestParam(name = "userId") String userId,
                              @RequestBody List<String> taskIds);

    @PostMapping("/task/cfg/query")
    PagedResponse<TaskCfgModel> query(@RequestBody JacksonCriteria criteria);
}
