package com.persagy.dmp.report.jms.executor;

import com.persagy.common.json.JacksonMapper;
import com.persagy.dmp.report.jms.MessageExecutor;
import com.persagy.dmp.report.service.InitDataService;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.collections4.MapUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author: yaoll
 * @date: 2020-10-28
 * @verison: 1.0
 */
@Slf4j
@Component
public class CreateTableExecutor implements MessageExecutor {

	@Autowired
	private InitDataService initService;

	@Override
	public void execute(Map<String, Object> message) {
		log.info("group create : {}", JacksonMapper.toSimpleJson(message));
		String createTime = MapUtils.getString(message, "createTime");
		initService.initGroup(createTime);
	}
}
